#!/bin/sh

ROOT_IMG=$(dirname $0)/cryptobox.img
TEST_IMG=test.img
TEST_SIZE=128
MEM_SIZE=128M

if test ! -e "$ROOT_IMG"
  then	echo "Could not find the cryptobox system image ($ROOT_IMG)"
  		echo "	see stuff/uml-howto.txt for information on how to build a system image"
		echo "	store (or link) the result as '$ROOT_IMG'"
		exit 1
 fi

# Preparations:
#  echo "tun" >>/etc/modules
#  follow the instructions in /usr/share/doc/uml-utilities/README.Debian
#  add your user to the group 'uml-net'
#

/sbin/ifconfig tap0 &>/dev/null || { echo "tap0 is not configured - read /usr/share/doc/uml-utilities/README.Debian for hints"; exit 1; }


if [ ! -e "$TEST_IMG" ]
	then	echo "Creating testing image file ..."
			dd if=/dev/zero of="$TEST_IMG" bs=1M count=$TEST_SIZE
  fi

linux ubd0="$ROOT_IMG" ubd1="$TEST_IMG" con=xterm hostfs=../ fakehd eth0=daemon mem=$MEM_SIZE

